Bug 843310 - QEMU causes Segmentation fault when using usb-net and -netdev tap
QEMU causes Segmentation fault when using usb-net and -netdev tap
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: qemu (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fedora Virtualization Maintainers
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-25 23:01 EDT by Albert Graham
Modified: 2013-01-09 07:05 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-14 05:06:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1050823 None None None 2012-09-14 05:05:23 EDT

  None (edit)
Description Albert Graham 2012-07-25 23:01:58 EDT
Description of problem:

The following command causes a Segmentation fault:

qemu-kvm -usb -device usb-net,netdev=net0 -netdev tap,id=net0
Segmentation fault

The following command does not:

qemu-kvm -usb -device usb-net,netdev=net0 -netdev user,id=net0


Version-Release number of selected component (if applicable):

qemu-kvm-1.1.0-8.fc1x

How reproducible:


Steps to Reproduce:
1. qemu-kvm -usb -device usb-net,netdev=net0 -netdev tap,id=net0
2.
3.
  
Actual results:
Segmentation fault

Expected results:

qemu should try to boot from the network

Additional info:

Note You need to log in before you can comment on or make changes to this bug.